//
//  Virtualization.h
//  Virtualization
//
//  Copyright © 2019-2022 Apple Inc. All rights reserved.
//

#import <Virtualization/VZAudioDeviceConfiguration.h>
#import <Virtualization/VZAudioInputStreamSource.h>
#import <Virtualization/VZAudioOutputStreamSink.h>
#import <Virtualization/VZBridgedNetworkDeviceAttachment.h>
#import <Virtualization/VZBridgedNetworkInterface.h>
#import <Virtualization/VZConsoleDevice.h>
#import <Virtualization/VZConsoleDeviceConfiguration.h>
#import <Virtualization/VZDefines.h>
#import <Virtualization/VZDirectoryShare.h>
#import <Virtualization/VZDirectorySharingDevice.h>
#import <Virtualization/VZDirectorySharingDeviceConfiguration.h>
#import <Virtualization/VZDiskImageStorageDeviceAttachment.h>
#import <Virtualization/VZEFIBootLoader.h>
#import <Virtualization/VZEFIVariableStore.h>
#import <Virtualization/VZEntropyDeviceConfiguration.h>
#import <Virtualization/VZError.h>
#import <Virtualization/VZFileHandleNetworkDeviceAttachment.h>
#import <Virtualization/VZFileHandleSerialPortAttachment.h>
#import <Virtualization/VZFileSerialPortAttachment.h>
#import <Virtualization/VZGenericMachineIdentifier.h>
#import <Virtualization/VZGenericPlatformConfiguration.h>
#import <Virtualization/VZGraphicsDeviceConfiguration.h>
#import <Virtualization/VZHostAudioInputStreamSource.h>
#import <Virtualization/VZHostAudioOutputStreamSink.h>
#import <Virtualization/VZKeyboardConfiguration.h>
#import <Virtualization/VZLinuxBootLoader.h>
#import <Virtualization/VZLinuxRosettaDirectoryShare.h>
#import <Virtualization/VZMACAddress.h>
#import <Virtualization/VZMacAuxiliaryStorage.h>
#import <Virtualization/VZMacGraphicsDeviceConfiguration.h>
#import <Virtualization/VZMacGraphicsDisplayConfiguration.h>
#import <Virtualization/VZMacHardwareModel.h>
#import <Virtualization/VZMacMachineIdentifier.h>
#import <Virtualization/VZMacOSBootLoader.h>
#import <Virtualization/VZMacOSConfigurationRequirements.h>
#import <Virtualization/VZMacOSInstaller.h>
#import <Virtualization/VZMacOSRestoreImage.h>
#import <Virtualization/VZMacOSVirtualMachineStartOptions.h>
#import <Virtualization/VZMacPlatformConfiguration.h>
#import <Virtualization/VZMacTrackpadConfiguration.h>
#import <Virtualization/VZMemoryBalloonDevice.h>
#import <Virtualization/VZMemoryBalloonDeviceConfiguration.h>
#import <Virtualization/VZMultipleDirectoryShare.h>
#import <Virtualization/VZNATNetworkDeviceAttachment.h>
#import <Virtualization/VZNetworkDevice.h>
#import <Virtualization/VZNetworkDeviceAttachment.h>
#import <Virtualization/VZNetworkDeviceConfiguration.h>
#import <Virtualization/VZPlatformConfiguration.h>
#import <Virtualization/VZPointingDeviceConfiguration.h>
#import <Virtualization/VZSerialPortConfiguration.h>
#import <Virtualization/VZSharedDirectory.h>
#import <Virtualization/VZSingleDirectoryShare.h>
#import <Virtualization/VZSocketDevice.h>
#import <Virtualization/VZSocketDeviceConfiguration.h>
#import <Virtualization/VZSpiceAgentPortAttachment.h>
#import <Virtualization/VZStorageDeviceAttachment.h>
#import <Virtualization/VZStorageDeviceConfiguration.h>
#import <Virtualization/VZUSBKeyboardConfiguration.h>
#import <Virtualization/VZUSBMassStorageDeviceConfiguration.h>
#import <Virtualization/VZUSBScreenCoordinatePointingDeviceConfiguration.h>
#import <Virtualization/VZVirtioBlockDeviceConfiguration.h>
#import <Virtualization/VZVirtioConsoleDevice.h>
#import <Virtualization/VZVirtioConsoleDeviceConfiguration.h>
#import <Virtualization/VZVirtioConsoleDeviceSerialPortConfiguration.h>
#import <Virtualization/VZVirtioConsolePort.h>
#import <Virtualization/VZVirtioConsolePortArray.h>
#import <Virtualization/VZVirtioConsolePortConfiguration.h>
#import <Virtualization/VZVirtioConsolePortConfigurationArray.h>
#import <Virtualization/VZVirtioEntropyDeviceConfiguration.h>
#import <Virtualization/VZVirtioFileSystemDevice.h>
#import <Virtualization/VZVirtioFileSystemDeviceConfiguration.h>
#import <Virtualization/VZVirtioGraphicsDeviceConfiguration.h>
#import <Virtualization/VZVirtioGraphicsScanoutConfiguration.h>
#import <Virtualization/VZVirtioNetworkDeviceConfiguration.h>
#import <Virtualization/VZVirtioSocketConnection.h>
#import <Virtualization/VZVirtioSocketDevice.h>
#import <Virtualization/VZVirtioSocketDeviceConfiguration.h>
#import <Virtualization/VZVirtioSocketListener.h>
#import <Virtualization/VZVirtioSoundDeviceConfiguration.h>
#import <Virtualization/VZVirtioSoundDeviceInputStreamConfiguration.h>
#import <Virtualization/VZVirtioSoundDeviceOutputStreamConfiguration.h>
#import <Virtualization/VZVirtioSoundDeviceStreamConfiguration.h>
#import <Virtualization/VZVirtioTraditionalMemoryBalloonDevice.h>
#import <Virtualization/VZVirtioTraditionalMemoryBalloonDeviceConfiguration.h>
#import <Virtualization/VZVirtualMachine.h>
#import <Virtualization/VZVirtualMachineConfiguration.h>
#import <Virtualization/VZVirtualMachineDelegate.h>
#import <Virtualization/VZVirtualMachineStartOptions.h>
#import <Virtualization/VZVirtualMachineView.h>
